Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator
Class ValidatorHelper

    java.lang.Object
      be.ehealth.technicalconnector.validator.ValidatorHelper

    public final class ValidatorHelper

extends Object

Helper class for XML Validation

Method Summary
`static void` | `validate(Object jaxbObj, Class xmlClass, String rootSchemaFileLocation)` Validates a JAXB object
`static void` | `validate(Object jaxbObj, String rootSchemaFileLocation)` Validates a JAXB object
`static void` | `validate(Source source, boolean xop, String... schemaLocations)`
`static void` | `validate(Source source, String... schemaLocations)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validate

    public static void validate(Source source,
                                boolean xop,
                                String... schemaLocations)
                         throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### validate

    public static void validate(Source source,
                                String... schemaLocations)
                         throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### validate

    public static void validate(Object jaxbObj,
                                String rootSchemaFileLocation)
                         throws TechnicalConnectorException

  Validates a JAXB object

  Throws:
    `TechnicalConnectorException`

### validate

    public static void validate(Object jaxbObj,
                                Class xmlClass,
                                String rootSchemaFileLocation)
                         throws TechnicalConnectorException

  Validates a JAXB object

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.